Purchase Invoice Price Change
The purchase invoice price change resource.
/purchaseInvoicePriceChangeList purchase invoice price changes
Retrieve a paginated list of purchase invoice price changes. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/purchaseInvoicePriceChange?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineId": "xyz789",
"previousPrice": 0,
"newPrice": 0,
"previousQuantity": 10,
"newQuantity": 10,
"updatedBy": "string"
}
]/purchaseInvoicePriceChangeRetrieve a purchase invoice price change
Fetch a single purchase invoice price change by filtering on `id`.
Query parameters
idstringMatch on the purchase invoice price change's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/purchaseInvoicePriceChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineId": "xyz789",
"previousPrice": 0,
"newPrice": 0,
"previousQuantity": 10,
"newQuantity": 10,
"updatedBy": "string"
}/purchaseInvoicePriceChangeCreate a purchase invoice price change
Create a new purchase invoice price change.
Body parameters
invoiceIdstringrequiredReferences purchaseInvoice.id
invoiceLineIdstringrequiredReferences purchaseInvoiceLine.id
previousPricenumberrequirednewPricenumberrequiredpreviousQuantitynumberrequirednewQuantitynumberrequiredcurl --request POST \
--url https://rest.carbon.ms/purchaseInvoicePriceChange \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"invoiceId":"xyz789","invoiceLineId":"xyz789","previousPrice":0,"newPrice":0,"previousQuantity":10,"newQuantity":10}'{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineId": "xyz789",
"previousPrice": 0,
"newPrice": 0,
"previousQuantity": 10,
"newQuantity": 10,
"updatedBy": "string"
}/purchaseInvoicePriceChangeUpdate a purchase invoice price change
Update an existing purchase invoice price change, matched on `id`.
Body parameters
invoiceIdstringrequiredReferences purchaseInvoice.id
invoiceLineIdstringrequiredReferences purchaseInvoiceLine.id
previousPricenumberrequirednewPricenumberrequiredpreviousQuantitynumberrequirednewQuantitynumberrequiredcurl --request PATCH \
--url 'https://rest.carbon.ms/purchaseInvoicePriceChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"invoiceId":"xyz789"}'{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineId": "xyz789",
"previousPrice": 0,
"newPrice": 0,
"previousQuantity": 10,
"newQuantity": 10,
"updatedBy": "string"
}/purchaseInvoicePriceChangeDelete a purchase invoice price change
Delete a purchase invoice price change, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the purchase invoice price change to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/purchaseInvoicePriceChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'